/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ParamCompraPunto;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderSendaAmigoParamCompraPunto implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        ParamCompraPunto pcp = (ParamCompraPunto) o;

        Listcell lc = new Listcell(pcp.getParamcomprapuntoId().toString());
        lc.setParent(lstm);

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy");
        lc = new Listcell(sf.format(pcp.getFeciniciovigencia()));
        lc.setParent(lstm);

        lc = new Listcell(sf.format(pcp.getFecfinvigencia()));
        lc.setParent(lstm);

        lstm.setAttribute("data", pcp);
    }
}
